# API documentation for libmpg123, libout123, and libsyn123

Note: This API doc is automatically generated from the current development version that you can get via Subversion or as a daily snapshot from http://mpg123.org/snapshot. There may be differences (additions) compared to the latest stable release. See NEWS.libmpg123, NEWS.libout123, NEWS.libsyn123, and the overall NEWS file on libmpg123 versions and important changes between them.
Let me emphasize that the policy for the lib*123 family is to always stay backwards compatible -- only additions are planned (and it's not yet planned to change the plans;-).
Public Attributes | List of all members
mpg123_id3v1 Struct Reference
mpg123 metadata handling

`#include <mpg123.h>`

## Public Attributes
char | tag [3]
char | title [30]
char | artist [30]
char | album [30]
char | year [4]
char | comment [30]
unsigned char | genre

## Detailed Description

Data structure for ID3v1 tags (the last 128 bytes of a file). Don't take anything for granted (like string termination)! Also note the change ID3v1.1 did: comment[28] = 0; comment[29] = track_number It is your task to support ID3v1 only or ID3v1.1 ...

Definition at line 2041 of file mpg123.h.

## Member Data Documentation

## ◆ tag

char mpg123_id3v1::tag[3]

Always the string "TAG", the classic intro.

Definition at line 2043 of file mpg123.h.

## ◆ title

char mpg123_id3v1::title[30]

Title string.

Definition at line 2044 of file mpg123.h.

## ◆ artist

char mpg123_id3v1::artist[30]

Artist string.

Definition at line 2045 of file mpg123.h.

## ◆ album

char mpg123_id3v1::album[30]

Album string.

Definition at line 2046 of file mpg123.h.

## ◆ year

char mpg123_id3v1::year[4]

Year string.

Definition at line 2047 of file mpg123.h.

## ◆ comment

char mpg123_id3v1::comment[30]

Comment string.

Definition at line 2048 of file mpg123.h.

## ◆ genre

unsigned char mpg123_id3v1::genre

Genre index.

Definition at line 2049 of file mpg123.h.

The documentation for this struct was generated from the following file:

- mpg123.h